namespace PkmnLib.Plugin.Gen7.Scripts.Side;

[Script(ScriptCategory.Side, "toxic_spikes")]
public class ToxicSpikesEffect : Script, IScriptOnSwitchIn
{
    /// <inheritdoc />
    public void OnSwitchIn(IPokemon pokemon, byte position)
    {
        if (pokemon.IsFloating)
            return;

        pokemon.SetStatus(ScriptUtils.ResolveName<Status.Poisoned>(), null);
    }
}